| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::AvatarSpec Class Reference
Wrapper classes

The AvatarSpec class represents a Telepathy avatar information supported by a protocol. More...

`#include <TelepathyQt/AvatarSpec>`

List of all members.

## Public Member Functions

- AvatarSpec ()
- AvatarSpec (const QStringList &supportedMimeTypes, uint minHeight, uint maxHeight, uint recommendedHeight, uint minWidth, uint maxWidth, uint recommendedWidth, uint maxBytes)
- AvatarSpec (const AvatarSpec &other)
- ~AvatarSpec ()
- bool isValid () const
- AvatarSpec & operator= (const AvatarSpec &other)
- QStringList supportedMimeTypes () const
- uint minimumHeight () const
- uint maximumHeight () const
- uint recommendedHeight () const
- uint minimumWidth () const
- uint maximumWidth () const
- uint recommendedWidth () const
- uint maximumBytes () const

## Detailed Description

The AvatarSpec class represents a Telepathy avatar information supported by a protocol.

## Constructor & Destructor Documentation

Tp::AvatarSpec::AvatarSpec | ( |  | ) |

Tp::AvatarSpec::AvatarSpec | ( | const QStringList & | supportedMimeTypes,
|  | uint | minHeight,
|  | uint | maxHeight,
|  | uint | recommendedHeight,
|  | uint | minWidth,
|  | uint | maxWidth,
|  | uint | recommendedWidth,
|  | uint | maxBytes
| ) |  |

Tp::AvatarSpec::AvatarSpec | ( | const AvatarSpec & | other | ) |

Tp::AvatarSpec::~AvatarSpec | ( |  | ) |

## Member Function Documentation

bool Tp::AvatarSpec::isValid | ( |  | ) | const`[inline]`

AvatarSpec & Tp::AvatarSpec::operator= | ( | const AvatarSpec & | other | ) |

QStringList Tp::AvatarSpec::supportedMimeTypes | ( |  | ) | const

uint Tp::AvatarSpec::minimumHeight | ( |  | ) | const

uint Tp::AvatarSpec::maximumHeight | ( |  | ) | const

uint Tp::AvatarSpec::recommendedHeight | ( |  | ) | const

uint Tp::AvatarSpec::minimumWidth | ( |  | ) | const

uint Tp::AvatarSpec::maximumWidth | ( |  | ) | const

uint Tp::AvatarSpec::recommendedWidth | ( |  | ) | const

uint Tp::AvatarSpec::maximumBytes | ( |  | ) | const